Skip to main content
POST
/
automation
/
{keyOrId}
/
trigger
curl -s -X POST \ "https://api.tembo.io/automation/${AUTOMATION_ID}/trigger" \ -H "Authorization: Bearer ${API_KEY}" \ -H "Content-Type: application/json" \ -d '{"issue_url": "https://github.com/org/repo/issues/42"}' | jq .
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task": "RunWorkflow",
  "status": "pending",
  "priority": 5,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

keyOrId
string
required

The automation's UUID or its macro (key). You can find the UUID in the automation's properties panel.

Example:

"a1b2c3d4-5678-9abc-def0-1234567890ab"

Query Parameters

apiKey
string

API key for authentication. Alternative to using the Authorization header.

Body

application/json

Arbitrary JSON payload passed to the automation as event context. Your automation instructions can reference any values in this payload.

The body is of type object.

Response

Automation triggered successfully

id
string<uuid>
required

Unique identifier for the queued job

task
string
required

The type of job that was queued

Example:

"RunWorkflow"

status
string
required

Current status of the job

Example:

"pending"

priority
integer
required

Job priority

Example:

5

createdAt
string<date-time>
required
updatedAt
string<date-time>
required